Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerCollision Class Reference

`#include <ExManagerCollision.h>`

Inheritance diagram for ExManagerCollision:

## Public Methods
void | Reset (void)
void | Init (void)
void | SetManagerId (ExManagerId *Id)
## Static Public Methods
ExManagerCollision * | CreateSingleton (void)
## Private Methods
| ExManagerCollision (void)
| ~ExManagerCollision (void)
## Private Attributes
ExManagerId * | ManagerId
## Static Private Attributes
bool | m_flag = false
ExManagerCollision * | m_instance = NULL

## Constructor & Destructor Documentation

ExManagerCollision | ( | void |  | ) | `[private]`

| Definition at line 43 of file ExManagerCollision.cpp.
    00044 {
    00045 }

~ExManagerCollision | ( | void |  | ) | `[private]`

| Definition at line 47 of file ExManagerCollision.cpp.
    00048 {
    00049 }

## Member Function Documentation

ExManagerCollision * CreateSingleton | ( | void |  | ) | `[static]`

| Definition at line 29 of file ExManagerCollision.cpp. References CreateSingleton(), Guard, m_flag, and m_instance. Referenced by CreateSingleton(), and main().
    00029                                                            {
    00030 Guard(ExManagerCollision* ExManagerCollision::CreateSingleton(void))
    00031         if(!m_flag)
    00032         {
    00033                 m_flag = true; // We are creating the error log now, so set flag to true
    00034                 m_instance = new ExManagerCollision; // Create the error log
    00035         }else
    00036         {
    00037                 std::cout<<"Error singleton already created"<<std::endl;
    00038         }
    00039         return m_instance;
    00040 UnGuard
    00041 }

void Init | ( | void |  | ) | `[inline, virtual]`

| Reimplemented from ExManager. Definition at line 83 of file ExManagerCollision.h.
    00084 {return;}

void Reset | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManager. Definition at line 51 of file ExManagerCollision.cpp. Referenced by ExManagerCommand::ProcesExCAction().
    00052 {
    00053 }

void SetManagerId | ( | ExManagerId * | Id | ) | `[inline]`

| Definition at line 85 of file ExManagerCollision.h. References ManagerId. Referenced by SetManagerLink().
    00086 {ManagerId      = Id;}

## Field Documentation

bool m_flag = false`[static, private]`

| Definition at line 26 of file ExManagerCollision.cpp. Referenced by CreateSingleton().

ExManagerCollision * m_instance = NULL`[static, private]`

| Definition at line 27 of file ExManagerCollision.cpp. Referenced by CreateSingleton().

ExManagerId* ManagerId`[private]`

| Definition at line 68 of file ExManagerCollision.h.

The documentation for this class was generated from the following files:

- ExManagerCollision.h
- ExManagerCollision.cpp